aboutsummaryrefslogtreecommitdiff
path: root/databases/firebird-server/scripts/pre-build
diff options
context:
space:
mode:
Diffstat (limited to 'databases/firebird-server/scripts/pre-build')
-rw-r--r--databases/firebird-server/scripts/pre-build15
1 files changed, 15 insertions, 0 deletions
diff --git a/databases/firebird-server/scripts/pre-build b/databases/firebird-server/scripts/pre-build
new file mode 100644
index 000000000000..6605df7770fd
--- /dev/null
+++ b/databases/firebird-server/scripts/pre-build
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+GDS_LOCK_MGR=`ps ax |grep gds_lock_mgr |grep -v grep`;
+
+if [ "$GDS_LOCK_MGR" != "" ]; then
+ echo "It appears you have a gds_lock_manager already running.";
+ echo;
+ echo "You must cease all InterBase operations to build this port.";
+ echo "Make sure nobody is connected to any databases, then use";
+ echo "'gds_drop -a' and manually verify (with ipcs) that the";
+ echo "semaphores were removed.";
+ exit 1;
+fi
+exit 0
+